SQ-AUTOCRYPT-ENCODE-SENDER(1)

NAME
sq-autocrypt-encode-sender - Encodes a certificate into an Autocrypt header

A certificate can be encoded and included in a header of an email message. This command encodes the certificate, adds the senders email address (which must match the one used in the "From" header), and the senders "prefer-encrypt" state (see the Autocrypt spec for more information).

The converse operation is "sq autocrypt decode".

SYNOPSIS
sq autocrypt encode-sender [FLAGS] [OPTIONS] [--] [FILE]

FLAGS

-h, --help
    Prints help information

OPTIONS

-o, --output FILE
    Writes to FILE or stdout if omitted

--email ADDRESS
    Sets the address [default: primary userid]

--prefer-encrypt prefer-encrypt
    Sets the prefer-encrypt attribute [default: nopreference] [possible values: nopreference, mutual]

ARGS

FILE
    Reads from FILE or stdin if omitted

EXAMPLES

# Encodes a certificate
    $ sq autocrypt encode-sender juliet.pgp

# Encodes a certificate with an explicit sender address
    $ sq autocrypt encode-sender --email juliet@example.org juliet.pgp

# Encodes a certificate while indicating the willingness to encrypt
    $ sq autocrypt encode-sender --prefer-encrypt mutual juliet.pgp

SEE ALSO
For the full documentation see <https://docs.sequoia-pgp.org/sq/>.

sq(1), sq-armor(1), sq-autocrypt(1), sq-autocrypt-decode(1), sq-autocrypt-encode-sender(1), sq-certify(1), sq-dearmor(1), sq-decrypt(1), sq-encrypt(1), sq-inspect(1), sq-key(1), sq-keyring(1), sq-packet(1), sq-sign(1), sq-verify(1)

AUTHORS

    Azul <azul@sequoia-pgp.org>
    Igor Matuszewski <igor@sequoia-pgp.org>
    Justus Winter <justus@sequoia-pgp.org>
    Kai Michaelis <kai@sequoia-pgp.org>
    Neal H. Walfield <neal@sequoia-pgp.org>
    Nora Widdecke <nora@sequoia-pgp.org>
    Wiktor Kwapisiewicz <wiktor@sequoia-pgp.org>